%ax_fs = 25;
%
fig = figure;
subplot(2,3,1);
clist = {'CHN';'IND';'LAO';'LKA';'VNM'};
plot(calvec,yfit_mat(:,1:end-1),'LineWidth',1,'color',rgb('LightBlue'));
hold on;
titstr = '(a)';
for i = 1:5;
   str1 = clist(i);
   [~,ii] = ismember(str1,country_code);
   plot(calvec,yfit_mat(:,ii),'- k','LineWidth',1);
   str1 = char(clist(i));
   if i == 1;
    titstr = [titstr ' ' str1];
   else;
    titstr = [titstr ', ' str1];
   end;
end;
title(titstr);
xlim([1900 2020]); 
% ax = gca;
% ax.FontSize = ax_fs;


subplot(2,3,2);
clist = {'HKG';'KOR';'SGP';'TWN';'THA'};
plot(calvec,yfit_mat(:,1:end-1),'LineWidth',1,'color',rgb('LightBlue'));
hold on;
titstr = '(b)';
for i = 1:5;
   str1 = clist(i);
   [~,ii] = ismember(str1,country_code);
   plot(calvec,yfit_mat(:,ii),'- k','LineWidth',1);
   str1 = char(clist(i));
   if i == 1;
    titstr = [titstr ' ' str1];
   else;
    titstr = [titstr ', ' str1];
   end;
end;
title(titstr);
xlim([1900 2020]);  
% ax = gca;
% ax.FontSize = ax_fs;

subplot(2,3,3);
clist = {'CAF';'GIN';'HTI';'MDG';'SEN'};
plot(calvec,yfit_mat(:,1:end-1),'LineWidth',1,'color',rgb('LightBlue'));
hold on;
titstr = '(c)';
for i = 1:5;
   str1 = clist(i);
   [~,ii] = ismember(str1,country_code);
   plot(calvec,yfit_mat(:,ii),'- k','LineWidth',1);
   str1 = char(clist(i));
   if i == 1;
    titstr = [titstr ' ' str1];
   else;
    titstr = [titstr ', ' str1];
   end;
end;
title(titstr);
xlim([1900 2020]); 
% ax = gca;
% ax.FontSize = ax_fs;

subplot(2,3,4);
clist = {'BEL';'DNK';'FRA';'ITA';'NLD'};
plot(calvec,yfit_mat(:,1:end-1),'LineWidth',1,'color',rgb('LightBlue'));
hold on;
titstr = '(d)';
for i = 1:5;
   str1 = clist(i);
   [~,ii] = ismember(str1,country_code);
   plot(calvec,yfit_mat(:,ii),'- k','LineWidth',1);
   str1 = char(clist(i));
   if i == 1;
    titstr = [titstr ' ' str1];
   else;
    titstr = [titstr ', ' str1];
   end;
end;
title(titstr);
xlim([1900 2020]);  
% ax = gca;
% ax.FontSize = ax_fs;

subplot(2,3,5);
clist = {'BGR';'HRV';'ROU';'RUS';'SRB'};
plot(calvec,yfit_mat(:,1:end-1),'LineWidth',1,'color',rgb('LightBlue'));
hold on;
titstr = '(e)';
for i = 1:5;
   str1 = clist(i);
   [~,ii] = ismember(str1,country_code);
   plot(calvec,yfit_mat(:,ii),'- k','LineWidth',1);
   str1 = char(clist(i));
   if i == 1;
    titstr = [titstr ' ' str1];
   else;
    titstr = [titstr ', ' str1];
   end;
end;
title(titstr);
xlim([1900 2020]);
% ax = gca;
% ax.FontSize = ax_fs;

subplot(2,3,6);
clist = {'AUS';'CAN';'GBR';'NZL';'USA'};
plot(calvec,yfit_mat(:,1:end-1),'LineWidth',1,'color',rgb('LightBlue'));
hold on;
titstr = '(f)';
for i = 1:5;
   str1 = clist(i);
   [~,ii] = ismember(str1,country_code);
   plot(calvec,yfit_mat(:,ii),'- k','LineWidth',1);
   str1 = char(clist(i));
   if i == 1;
    titstr = [titstr ' ' str1];
   else;
    titstr = [titstr ', ' str1];
   end;
end;
title(titstr);
xlim([1900 2020]); 
% ax = gca;
% ax.FontSize = ax_fs;
orient landscape;
print(fig, [figdir, 'Figure_5'], '-dpdf','-bestfit');
close(gcf);
